package com.xkrs.controller;

import com.xkrs.utilsold.HttpClientUtils;
import org.apache.hc.core5.util.TextUtils;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestParam;
import org.springframework.web.bind.annotation.RestController;

@RestController
public class VectorBoundaryController {

    @GetMapping("/queryVectorBoundary")
    public String queryVectorBoundary(@RequestParam(value = "tk", required = false) String tk,
                                      @RequestParam(value = "lon") Double lon,
                                      @RequestParam(value = "lat") Double lat,
                                      @RequestParam(value = "scale") Double scale,
                                      @RequestParam(value = "bgeo", required = false) Boolean bgeo) throws Exception {
        String defaultTk = "9cc3e9deb3cf643b6f133717c333d16d";
        Boolean defaultBgeo = true;
        String finalTk = (TextUtils.isEmpty(tk)) ? defaultTk : tk;
        Boolean finalBgeo = (bgeo == null) ? defaultBgeo : bgeo;

        StringBuilder builder = new StringBuilder("https://service.sdmap.gov.cn/citysearch");
        builder.append("?tk=").append(finalTk);
        builder.append("&lon=").append(lon);
        builder.append("&lat=").append(lat);
        builder.append("&scale=").append(scale);
        builder.append("&bgeo=").append(finalBgeo);
        String url = builder.toString();
        return HttpClientUtils.sendHttpsGetCustom(url);
    }

}
