package com.xkrs.model.entity;

import javax.persistence.*;
import java.io.Serializable;

/**
 * SysRole 表实体类
 */
@Entity
@Table(name = "sys_role")
public class SysRoleEntity implements Serializable {

    /**
     * 指定主键，建立自增序列，主键值取自序列
     */
    @Id
    @GeneratedValue(strategy = GenerationType.SEQUENCE, generator = "sys_role_seq_gen")
    @SequenceGenerator(name = "sys_role_seq_gen", sequenceName = "sys_role_id_seq", allocationSize = 1)
    private Long id;

    @Column(length = 32, nullable = false, unique = true, columnDefinition = "varchar(32)")
    private String roleName;

    @Column(length = 32, columnDefinition = "varchar(32)")
    private String roleNameZh;

    @Column(length = 64, columnDefinition = "varchar(64)")
    private String roleDesc;

    public SysRoleEntity() {
    }

    public Long getId() {
        return id;
    }

    public void setId(Long id) {
        this.id = id;
    }

    public String getRoleName() {
        return roleName;
    }

    public void setRoleName(String roleName) {
        this.roleName = roleName;
    }

    public String getRoleNameZh() {
        return roleNameZh;
    }

    public void setRoleNameZh(String roleNameZh) {
        this.roleNameZh = roleNameZh;
    }

    public String getRoleDesc() {
        return roleDesc;
    }

    public void setRoleDesc(String roleDesc) {
        this.roleDesc = roleDesc;
    }

    @Override
    public String toString() {
        return "SysRoleEntity{" + "id=" + id + ", roleName='" + roleName + '\'' + ", roleNameZh='" + roleNameZh + '\'' + ", roleDesc='" + roleDesc + '\'' + '}';
    }
}
